package com.steering.mes.zgmil.entity;

/**
 * 数据库表COM_BASE_QUALITY_OBJECTIVES所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160918TFRG   date 2019-06-03
 */
public class ComBaseQualityObjectivesEntity implements java.io.Serializable {
    /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
     * 年
     */
    private String qqYear = "";
    /**
     * 类别代码
     */
    private String typeCode = "";
    /**
     * 部门ID
     */
    private String departid = "";
    /**
     * 部门
     */
    private String departname = "";
    /**
     * 类别描述
     */
    private String typeDesc = "";
    /**
     * 管理科室代码
     */
    private String departmentCode = "";
    /**
     * 管理科室描述
     */
    private String departmentDesc = "";
    /**
     * 项目代码
     */
    private String projectCode = "";
    /**
     * 项目描述
     */
    private String projectDesc = "";
    /**
     * 指标
     */
    private String qqIndex = "";
    /**
     * 单位
     */
    private String qqUnit = "";
    /**
     * 计算方法
     */
    private String remarke = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 作废人
     */
    private String deleteName = "";
    /**
     * 作废时间
     */
    private String deleteTime = "";

    /**
     * 年
     * @return value
     */
    public String getQqYear() {
        return qqYear;
    }

    /**
     * 年
     * @param qYear value
     */
    public void setQqYear(String qqYear) {
        this.qqYear = qqYear;
    }

    /**
     * 类别代码
     * @return value
     */
    public String getTypeCode() {
        return typeCode;
    }

    /**
     * 类别代码
     * @param typeCode value
     */
    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    /**
     * 部门ID
     * @return value
     */
    public String getDepartid() {
        return departid;
    }

    /**
     * 部门ID
     * @param departid value
     */
    public void setDepartid(String departid) {
        this.departid = departid;
    }

    /**
     * 部门
     * @return value
     */
    public String getDepartname() {
        return departname;
    }

    /**
     * 部门
     * @param departname value
     */
    public void setDepartname(String departname) {
        this.departname = departname;
    }

    /**
     * 类别描述
     * @return value
     */
    public String getTypeDesc() {
        return typeDesc;
    }

    /**
     * 类别描述
     * @param typeDesc value
     */
    public void setTypeDesc(String typeDesc) {
        this.typeDesc = typeDesc;
    }

    /**
     * 管理科室代码
     * @return value
     */
    public String getDepartmentCode() {
        return departmentCode;
    }

    /**
     * 管理科室代码
     * @param departmentCode value
     */
    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    /**
     * 管理科室描述
     * @return value
     */
    public String getDepartmentDesc() {
        return departmentDesc;
    }

    /**
     * 管理科室描述
     * @param departmentDesc value
     */
    public void setDepartmentDesc(String departmentDesc) {
        this.departmentDesc = departmentDesc;
    }

    /**
     * 项目代码
     * @return value
     */
    public String getProjectCode() {
        return projectCode;
    }

    /**
     * 项目代码
     * @param projectCode value
     */
    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    /**
     * 项目描述
     * @return value
     */
    public String getProjectDesc() {
        return projectDesc;
    }

    /**
     * 项目描述
     * @param projectDesc value
     */
    public void setProjectDesc(String projectDesc) {
        this.projectDesc = projectDesc;
    }

    

    public String getQqIndex() {
		return qqIndex;
	}

	public void setQqIndex(String qqIndex) {
		this.qqIndex = qqIndex;
	}

	public String getQqUnit() {
		return qqUnit;
	}

	public void setQqUnit(String qqUnit) {
		this.qqUnit = qqUnit;
	}

	/**
     * 计算方法
     * @return value
     */
    public String getRemarke() {
        return remarke;
    }

    /**
     * 计算方法
     * @param remarke value
     */
    public void setRemarke(String remarke) {
        this.remarke = remarke;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 作废人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 作废人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 作废时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 作废时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
    
    private String sysGuid = "";

	public String getSysGuid() {
		return sysGuid;
	}

	public void setSysGuid(String sysGuid) {
		this.sysGuid = sysGuid;
	}
    
}
